# 项目相关配置
fs:
  # 名称
  name: fs
  # 版本
  version: 1.1.0
  # 版权年份
  copyrightYear: 2021
  # 实例演示开关
  demoEnabled: true
  # 文件路径 示例（ Windows配置D:/fs/uploadPath，Linux配置 /home/fs/uploadPath）
  profile: c:/fs/uploadPath
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数组计算 char 字符验证
  captchaType: math
  # 小程序页面路径（讲者注册表单页面）
  miniapp:
    page: pages/auth/login
  # APP模块，是通过jwt认证的，如果要使用APP模块，则需要修改【加密秘钥】
  jwt:
    # 加密秘钥
    secret: f4e2e52034348f86b67cde581c0f9eb5
    # token有效时长，7天，单位秒
    expire: 604800
    header: AppToken

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为
  port: 7771
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # tomcat最大线程数，默认为200
    max-threads: 800
    # Tomcat启动初始化的线程数，默认值25
    min-spare-threads: 30

# 日志配置
logging:
  level:
    com.fs: debug
    org.springframework: warn

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: dev
    include: config
  # 文件上传
  servlet:
     multipart:
       # 单个文件大小
       max-file-size:  10MB
       # 设置总上传的文件大小
       max-request-size:  20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
  # redis 配置
  redis:
    # 地址
    host: localhost
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 0
    # 密码
    password:
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms

# token配置
token:
    # 令牌自定义标识
    header: Authorization
    # 令牌密钥
    secret: abcdefghijklmnopqrstuvwxyz
    # 令牌有效期（默认30分钟）
    expireTime: 1000

# MyBatis配置
mybatis-plus:
  # 搜索指定包别名
  typeAliasesPackage: com.fs.**.domain,com.fs.**.bo
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:/mapper/**/*.xml
  configLocation: classpath:mybatis/mybatis-config.xml
  # 全局配置
  global-config:
    db-config:
      # 主键类型  0:"数据库ID自增", 1:"用户输入ID",2:"全局唯一ID (数字类型唯一ID)", 3:"全局唯一ID UUID";
      idType: AUTO
      # 字段策略 0:"忽略判断",1:"非 NULL 判断"),2:"非空判断"
      fieldStrategy: NOT_EMPTY
    banner: false
    # 配置
  configuration:
    # 驼峰式命名
    mapUnderscoreToCamelCase: true
    # 全局映射器启用缓存
    cacheEnabled: true
    # 配置默认的执行器
    defaultExecutorType: REUSE
    # 允许 JDBC 支持自动生成主键
    useGeneratedKeys: true

# MyBatis配置
mybatis:
  # 搜索指定包别名
  typeAliasesPackage: com.fs.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  reasonable: false
  supportMethodsArguments: true
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*

# 微信小程序配置
wx:
  miniapp:
    configs:
      - appid: wx322a4922f7b81924  # 小程序AppID，需要替换为实际的AppID
        secret: e0472cdced8953ea2fc2e2aca37fedd5  # 小程序AppSecret，需要替换为实际的Secret
        token: Ncbnd7lJvkripVOpyTFAna6NAWCxCrvC
        aesKey: HlEiBB55eaWUaeBVAQO3cWKWPYv1vOVQSq7nFNICw4E
        msgDataFormat: JSON
